#pragma once

typedef RECT CRect;

class CShadowMap  
{
public:
	byte* GetBytemapPtr();
	int GetHeight();
	int GetWidth();
	void RemoveShadowAt(CRect rect);
	void RemoveShadowAt(int x, int y);
	void SetShadowAt(CRect rect);
	void SetShadowAt(int x, int y);
	void SetSize(int width, int height);
	CShadowMap();
	virtual ~CShadowMap();

protected:
	byte* m_pByteMap;
	int m_Height;
	int m_Width;
};